
Redmine - Defect #8416

Problem when using single quotes in the description field

2011-05-20 16:30 - Bruno Bigras

Status: Closed Start date: 2011-05-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I'm having weird results while using single quotes in the description field.

It may not be a bug at all if the single quote is used for something. I didn't see anything in Wiki formatting.

Maybe one or more quotes is not escaped properly.

mysql 5.1.54

ruby 1.8.7.302

rails 2.3.5

redmine 1.0.5 (from Ubuntu packages)

redmine 1.1.3 (from a ppa (I think it's from Debian unstable + patches))

Test case

Create a new issue, type the following into the description field and generate the preview.

'A'

'B'

 Preview should be :

'A'

'B'

 Preview is :

A

 log

Processing PreviewsController#issue (for 10.66.34.10 at 2011-05-20 10:12:57) [POST]

  Parameters: {"commit"=>"Create", "project_id"=>"test", "action"=>"issue", "authenticity_token"=>

"PhR0m/gicgbBJeeQAjm6BRQCAFLcRm61qRSd9wNH9Mk=", "issue"=>{"start_date"=>"2011-05-20",

  "estimated_hours"=>"", "priority_id"=>"4", "parent_issue_id"=>"", "done_ratio"=>"0", "assigned_t

o_id"=>"", "subject"=>"", "tracker_id"=>"1", "due_date"=>"", "status_id"=>"1", "description"=>"A"}

,

  "controller"=>"previews", "attachments"=>{"1"=>{"description"=>""}}}

Rendering previews/issue

Completed in 32ms (View: 6, DB: 2) | 200 OK [http://10.66.33.1/redmine/issues/preview?project_id=t

est]

 Note that this bug doesn't happen on this instance of redmine.

History

#1 - 2011-05-20 16:49 - Etienne Massip

- Category set to Text formatting

- Target version set to Candidate for next minor release
Confirmed.

#2 - 2011-05-21 15:33 - Etienne Massip

- Target version changed from Candidate for next minor release to 1.2.0

- Resolution set to Wont fix

Ok, took me some time to find out that this is a request body parsing issue in rack introduced with 1.1.0 and fixed with 1.2.0 ("Removed parsing of

quoted values" in rack README, see commit).

See also this post.

As Rails 2.3.11 requires rack 1.1.0, we should find a fix for 1.2.0 or this will be a regression.

#3 - 2011-05-21 15:33 - Etienne Massip

- Resolution deleted (Wont fix)

#4 - 2011-05-21 15:57 - Etienne Massip

- Status changed from New to Closed

- Target version deleted (1.2.0)

- Resolution set to Wont fix

Ok, closed as rack 1.1.1 includes the fix too and is supported by Rails 2.3 ; simply updated the RedmineInstall for trunk from 1.1.0 to 1.1.1.
https://github.com/rack/rack/commit/dae12e088592ee69545b5f2f81b87f4959859164
http://thewebfellas.com/blog/2010/7/15/rails-2-3-8-rack-1-1-and-the-curious-case-of-the-missing-quotes
https://www.redmine.org/versions/27
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Requirements
http://www.tcpdf.org

